Bug 907748

Summary: [abrt] collectd-4.10.8-2.fc17: sensors_load_conf: Process /usr/sbin/collectd was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: João Carlos Mendes Luís <redhat>
Component: collectdAssignee: Alan Pevec <apevec>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: apevec, mail, rjones
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:4592901c155dd41a4cf54c2bbdb30d984b697e4d
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 14:33:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: core_backtrace
none
File: environ
none
File: limits
none
File: backtrace
none
File: smolt_data
none
File: cgroup
none
File: executable
none
File: maps
none
File: dso_list
none
File: proc_pid_status
none
File: open_fds
none
File: var_log_messages none

Description João Carlos Mendes Luís 2013-02-05 02:48:10 EST
Version-Release number of selected component:
collectd-4.10.8-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/sbin/collectd -C /etc/collectd.conf -f
crash_function: sensors_load_conf
kernel:         3.6.11-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (3 frames)
: #0 sensors_load_conf at sensors.c:446
: #1 sensors_read at sensors.c:513
: #2 plugin_read_thread at plugin.c:434
Comment 1 João Carlos Mendes Luís 2013-02-05 02:48:13 EST
Created attachment 693202 [details]
File: core_backtrace
Comment 2 João Carlos Mendes Luís 2013-02-05 02:48:15 EST
Created attachment 693203 [details]
File: environ
Comment 3 João Carlos Mendes Luís 2013-02-05 02:48:17 EST
Created attachment 693204 [details]
File: limits
Comment 4 João Carlos Mendes Luís 2013-02-05 02:48:19 EST
Created attachment 693205 [details]
File: backtrace
Comment 5 João Carlos Mendes Luís 2013-02-05 02:48:21 EST
Created attachment 693206 [details]
File: smolt_data
Comment 6 João Carlos Mendes Luís 2013-02-05 02:48:24 EST
Created attachment 693207 [details]
File: cgroup
Comment 7 João Carlos Mendes Luís 2013-02-05 02:48:26 EST
Created attachment 693208 [details]
File: executable
Comment 8 João Carlos Mendes Luís 2013-02-05 02:48:28 EST
Created attachment 693209 [details]
File: maps
Comment 9 João Carlos Mendes Luís 2013-02-05 02:48:30 EST
Created attachment 693210 [details]
File: dso_list
Comment 10 João Carlos Mendes Luís 2013-02-05 02:48:32 EST
Created attachment 693211 [details]
File: proc_pid_status
Comment 11 João Carlos Mendes Luís 2013-02-05 02:48:34 EST
Created attachment 693212 [details]
File: open_fds
Comment 12 João Carlos Mendes Luís 2013-02-05 02:48:36 EST
Created attachment 693213 [details]
File: var_log_messages
Comment 13 Alan Pevec 2013-04-30 18:38:46 EDT
Please attach your /etc/collectd.conf and /etc/collectd.d/*.conf
Comment 14 João Carlos Mendes Luís 2013-05-01 09:15:27 EDT
I have already changed the configuration, disabling the sensors section and it was already working.

I have just tried to re-enable what I thought it was the sensors configuration at that time, but collectd has not crashed at this time.

Its probably some parsing bug, since I was, at that time, trying new configurations.  I just expected that a configuration error gave me a warning, not a core dump.

Anyway, if you think it is to difficult to find anything now, please close the ticket.
Comment 15 Fedora End Of Life 2013-07-03 15:43:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2013-07-31 14:33:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.